import { App, CommandLineInputs, CommandLineOptions, CommandMetadata, CommandPreRun } from '@ionic/cli-utils';
import { Command } from '@ionic/cli-utils/lib/command';
export declare class LinkCommand extends Command implements CommandPreRun {
    getMetadata(): Promise<CommandMetadata>;
    preRun(inputs: CommandLineInputs, options: CommandLineOptions): Promise<void>;
    run(inputs: CommandLineInputs, options: CommandLineOptions): Promise<void>;
    private getAppClient();
    private getUserClient();
    lookUpApp(appId: string): Promise<App>;
    createApp({name}: {
        name: string;
    }): Promise<string>;
    linkApp(app: App): Promise<void>;
    linkGithub(app: App): Promise<string | undefined>;
    confirmGithubRepoExists(): Promise<void>;
    oAuthProcess(userId: number): Promise<void>;
    needsAssociation(app: App, userId: number): Promise<boolean>;
    connectGithub(app: App, repoId: number, branches: string[]): Promise<string | undefined>;
    formatRepoName(fullName: string): string;
    chooseApp(): Promise<string>;
    selectGithubRepo(): Promise<number>;
    selectGithubBranches(repoId: number): Promise<string[]>;
}
