"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const namespace_1 = require("@ionic/cli-utils/lib/namespace");
class SSHNamespace extends namespace_1.Namespace {
    getMetadata() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return {
                name: 'ssh',
                description: 'Commands for configuring SSH keys',
                longDescription: `
These commands help automate your SSH configuration for Ionic Pro. As an alternative, SSH configuration can be done entirely manually by visiting your Account Settings${chalk_1.default.cyan('[1]')}.

To begin, run ${chalk_1.default.green('ionic ssh setup')}, which lets you use existing keys or generate new ones just for Ionic.

${chalk_1.default.cyan('[1]')}: ${chalk_1.default.bold('https://dashboard.ionicjs.com/settings/ssh-keys')}
      `,
            };
        });
    }
    getCommands() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return new namespace_1.CommandMap([
                ['generate', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { SSHGenerateCommand } = yield Promise.resolve().then(() => require('./generate')); return new SSHGenerateCommand(this, this.env); })],
                ['use', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { SSHUseCommand } = yield Promise.resolve().then(() => require('./use')); return new SSHUseCommand(this, this.env); })],
                ['add', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { SSHAddCommand } = yield Promise.resolve().then(() => require('./add')); return new SSHAddCommand(this, this.env); })],
                ['delete', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { SSHDeleteCommand } = yield Promise.resolve().then(() => require('./delete')); return new SSHDeleteCommand(this, this.env); })],
                ['list', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { SSHListCommand } = yield Promise.resolve().then(() => require('./list')); return new SSHListCommand(this, this.env); })],
                ['setup', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { SSHSetupCommand } = yield Promise.resolve().then(() => require('./setup')); return new SSHSetupCommand(this, this.env); })],
                ['ls', 'list'],
                ['remove', 'delete'],
                ['rm', 'delete'],
                ['g', 'generate'],
            ]);
        });
    }
}
exports.SSHNamespace = SSHNamespace;
